<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version='1.0'>  
<xsl:import href="../../docbook-xsl-1.69.0/xhtml/docbook.xsl"/>
  <xsl:output method="html" encoding="ISO-8859-1" indent="yes"/>
  <xsl:param name="toc.section.depth">1</xsl:param>
  <xsl:param name="chapter.autolabel" select="0"/>
  <xsl:param name="section.autolabel" select="1"/>
  <xsl:param name="section.label.includes.component.label" select="1"/>
  <xsl:param name="html.stylesheet.type">text/css</xsl:param>
  <xsl:param name="html.stylesheet" select="'http://linuxcoe.sourceforge.net/styles/docbook.css'"/>
  <xsl:param name="css.decoration" select="1"/>
  <xsl:param name="emphasis.propagates.style" select="1"/>
  <xsl:param name="para.propagates.style" select="1"/>
  <xsl:param name="phrase.propagates.style" select="1"/>
  <xsl:param name="entry.propagates.style" select="1"/>
  <xsl:param name="make.valid.html" select="1"/>
  <xsl:param name="generate.id.attributes" select="1"/>
  <xsl:param name="generate.meta.abstract" select="1"/>
  <xsl:param name="show.revisionflag">1</xsl:param>
  <xsl:param name="shade.verbatim" select="0"/>
  <xsl:param name="target.database.document" select="'olinkdb_chapter.xml'"></xsl:param>
  <xsl:param name="current.docid" select="''"></xsl:param>
  
  <xsl:param name="callout.graphics" select="'1'"></xsl:param>
  <xsl:param name="callout.graphics.path" select="'../images/callouts/'"></xsl:param>
  <xsl:param name="callout.graphics.extension" select="'.png'"></xsl:param>
  <xsl:param name="callout.unicode" select="0"></xsl:param>
  <xsl:param name="callout.defaultcolumn" select="'60'"></xsl:param>

  <xsl:param name="formal.title.placement">
    figure before
    example before
    equation before
    table before
    procedure before
  </xsl:param>

  <xsl:param name="qanda.inherit.numeration" select="0"></xsl:param>
  <xsl:param name="qanda.defaultlabel">qanda</xsl:param>

  <xsl:param name="generate.toc">
appendix  toc,title
article/appendix  nop
article   toc,title
book      toc,title,figure,table,example,equation
chapter   toc,title
part      toc,title
preface   toc,title
qandadiv  nop
qandaset  nop
reference toc,title
sect1     nop
sect2     nop
sect3     nop
sect4     nop
sect5     nop
section   nop
set       toc,title
  </xsl:param>

  <xsl:template name="output.html.stylesheets">
    <xsl:param name="stylesheets" select="''"/>
    
    <xsl:choose>
      <xsl:when test="contains($stylesheets, ' ')">
        <link xmlns="http://www.w3.org/1999/xhtml" rel="stylesheet" href="{substring-before($stylesheets, ' ')}" media="screen">
          <xsl:if test="$html.stylesheet.type != ''">
            <xsl:attribute name="type">
              <xsl:value-of select="$html.stylesheet.type"/>
            </xsl:attribute>
          </xsl:if>
        </link>
        <link xmlns="http://www.w3.org/1999/xhtml" rel="stylesheet" href="{substring-before($stylesheets, ' ')}.print" media="print">
          <xsl:if test="$html.stylesheet.type != ''">
            <xsl:attribute name="type">
              <xsl:value-of select="$html.stylesheet.type"/>
            </xsl:attribute>
          </xsl:if>
        </link>
        <xsl:call-template name="output.html.stylesheets">
          <xsl:with-param name="stylesheets" select="substring-after($stylesheets, ' ')"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:when test="$stylesheets != ''">
        <link xmlns="http://www.w3.org/1999/xhtml" rel="stylesheet" href="{$stylesheets}" media="screen">
          <xsl:if test="$html.stylesheet.type != ''">
            <xsl:attribute name="type">
              <xsl:value-of select="$html.stylesheet.type"/>
            </xsl:attribute>
          </xsl:if>
        </link>
        <link xmlns="http://www.w3.org/1999/xhtml" rel="stylesheet" href="{$stylesheets}.print" media="print">
          <xsl:if test="$html.stylesheet.type != ''">
            <xsl:attribute name="type">
              <xsl:value-of select="$html.stylesheet.type"/>
            </xsl:attribute>
          </xsl:if>
        </link>
      </xsl:when>
    </xsl:choose>
  </xsl:template>

</xsl:stylesheet>

<!--
© Copyright 2005 Hewlett-Packard Development Company, L.P

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-->

<!-- CHANGE LOG
$Log: db_xhtml_article.xsl,v $
Revision 1.6  2005/10/07 15:33:15  bryang
made ref to docbook relative to ease portability

Revision 1.5  2005/08/02 16:18:44  jrshank
Initial check-in

Revision 1.4  2005/07/29 23:51:29  jrshank
Fixed missing reference to stock XSL file.

Revision 1.3  2005/07/29 23:50:42  jrshank
Moved copyright and changelog to end of file.

Revision 1.2  2005/07/29 23:49:26  jrshank
Updated import location

Revision 1.1  2005/07/29 23:42:43  jrshank
Initial check-in

-->
